%global debug_package %{nil}

%if (0%{?rhel} && 0%{?rhel} < 8)	
# Sticking with Python 2 there for now.
%global python_pkgversion %{nil}
%else
# Default to Python 3 when not EL	
%global python_pkgversion %{python3_pkgversion}
%endif

Name:           tianocore-rpi4-uefi
Version:        1.28.0 
Release:        1%{?dist}
Summary:        Tiano Core UEFI Firmware for Raspberri Pi 4 

License:        BSD-2-Clause-Patent
URL:            https://github.com/pftf/RPi4/releases/tag/v1.28 
Source0:        %{name}-%{version}.tar.gz

ExclusiveArch: %{arm} aarch64

BuildRequires:  libuuid-devel
BuildRequires:  gcc-c++
BuildRequires:  acpica-tools
BuildRequires:  efi-srpm-macros
BuildRequires:  efi-filesystem
BuildRequires:  python%{python_pkgversion}-devel
Requires:       libuuid 

%description


%prep
%autosetup -n RPi4-1.28


%build
pushd edk2
WORKSPACE=$PWD . ./edksetup.sh
popd

WORKSPACE=$PWD make -C edk2/BaseTools
PACKAGES_PATH=$PWD/edk2:$PWD/edk2-platforms:$PWD/edk2-non-osi WORKSPACE=$PWD \
  build -n 4 -a AARCH64 -t GCC5 -p edk2-platforms/Platform/RaspberryPi/RPi4/RPi4.dsc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{efi_esp_root}
install -p config.txt %{buildroot}%{efi_esp_root}/config.txt
install -p Build/RPi4/DEBUG_GCC5/FV/RPI_EFI.fd  %{buildroot}%{efi_esp_root}

%files
%license License.txt
%doc Readme.md
%config(noreplace) %{efi_esp_root}/config.txt
%{efi_esp_root}/RPI_EFI.fd



%changelog
* Tue Jun 22 2021 Adam Young <ayoung@redhat.com>
- First packaging work
